import canTest
import voltageTest
import tempTest
import eProm


def startBalancingTest():
    message = [5, 0xC, 0, 0xF, 0xF, 0xE, 0xE]
    print("====================")
    print("startBalancing")
    canTest.waitForUserInput(True)
    canTest.sendMessageOnCan(message)


canTest.CanTest()
eProm.ePromTest()
voltageTest.voltagesTest()
tempTest.tempTest()

startBalancingTest()
"""
print("start Temp test")
message = [3, 0xc, 0, 0xf, 0xf, 0xe, 0xe]
canTest.waitForUserInput(True)
canTest.sendMessageOnCan(message)

answer = canTest.recive();
print(answer.data)

print("start eprom test")
message = [4, 0xc, 0, 0xf, 0xf, 0xe, 0xe,0x00]
canTest.waitForUserInput(True)
canTest.sendMessageOnCan(message)
answer = canTest.recive();
print(answer.data)
"""
